=head1 NAME

Gtk2::FileChooserButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::FileChooserButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkOrientable
  Gtk2::FileChooser



=cut


=head1 METHODS

=head2 widget = Gtk2::FileChooserButton-E<gt>B<new> ($title, $action)

=over

=item * $title (string) 

=item * $action (Gtk2::FileChooserAction) 

=back

=head2 widget = Gtk2::FileChooserButton-E<gt>B<new_with_backend> ($title, $action, $backend)

=over

=item * $title (string) 

=item * $action (Gtk2::FileChooserAction) 

=item * $backend (string) 

=back

=head2 widget = Gtk2::FileChooserButton-E<gt>B<new_with_dialog> ($dialog)

=over

=item * $dialog (Gtk2::Widget) 

=back

=head2 boolean = $button-E<gt>B<get_focus_on_click> 

Since: gtk+ 2.10

=head2 $button-E<gt>B<set_focus_on_click> ($focus_on_click)

=over

=item * $focus_on_click (boolean) 

=back

Since: gtk+ 2.10

=head2 string = $button-E<gt>B<get_title> 

=head2 $button-E<gt>B<set_title> ($title)

=over

=item * $title (string) 

=back

=head2 integer = $button-E<gt>B<get_width_chars> 

=head2 $button-E<gt>B<set_width_chars> ($n_chars)

=over

=item * $n_chars (integer) 

=back



=cut


=head1 PROPERTIES

=over

=item 'dialog' (Gtk2::FileChooser : writable / construct-only / private)

The file chooser dialog to use.

=item 'focus-on-click' (boolean : readable / writable / private)

Whether the button grabs focus when it is clicked with the mouse

=item 'title' (string : readable / writable / private)

The title of the file chooser dialog.

=item 'width-chars' (integer : readable / writable / private)

The desired width of the button widget, in characters.

=back



=cut


=head1 SIGNALS

=over

=item B<file-set> (Gtk2::FileChooserButton)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::FileChooserAction

=over

=item * 'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

=item * 'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

=item * 'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

=item * 'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

